//---------------------------------------------------------------------------
#ifndef Moochos_WheelHere_Wheeler_EntryPoint_H
#define Moochos_WheelHere_Wheeler_EntryPoint_H
//---------------------------------------------------------------------------
// EntryPoint.h
//
// Version: 1.0.1
// Author: Moochos
//---------------------------------------------------------------------------
#ifdef MOOCHOS_WHEELHERE_WHEELER_BUILDING
#define MOOCHOS_WHEELHERE_WHEELER_EXPORT __declspec(dllexport)
#else
#define MOOCHOS_WHEELHERE_WHEELER_EXPORT __declspec(dllimport)
#endif
//---------------------------------------------------------------------------
MOOCHOS_WHEELHERE_WHEELER_EXPORT struct Wheeler_TSettings
{
	bool Focus;
	bool Scroll;
};
//---------------------------------------------------------------------------
extern "C" {
//---------------------------------------------------------------------------
MOOCHOS_WHEELHERE_WHEELER_EXPORT bool __stdcall Wheeler_IsEnabled(bool& AEnabled);
MOOCHOS_WHEELHERE_WHEELER_EXPORT bool __stdcall Wheeler_SetEnabled(bool AEnabled);
MOOCHOS_WHEELHERE_WHEELER_EXPORT bool __stdcall Wheeler_GetSettings(Wheeler_TSettings& ASettings);
MOOCHOS_WHEELHERE_WHEELER_EXPORT bool __stdcall Wheeler_SetSettings(const Wheeler_TSettings& ASettings);
//---------------------------------------------------------------------------
} // End of extern "C"
//---------------------------------------------------------------------------
#endif

